Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/script/archiso_shutdown
diff options
context:
space:
mode:
authorDavid Runge <dvzrv@archlinux.org>2021-07-31 17:42:53 +0200
committerDavid Runge <dvzrv@archlinux.org>2021-07-31 17:42:53 +0200
commitaef9c535e7de91a7a535c7500a8ab4583d443a57 (patch)
tree5ad445e3e00173c59cfcc3d26375b59a6be05b70 /script/archiso_shutdown
parenta5f57c2bfa3f7b380f572b4e86845113d6b9ef15 (diff)
parent2dabc0d2479d1866d072c7559ef95d6e1b217934 (diff)
Merge branch 'issues/4'
* issues/4: Add shfmt to check target Fix formatting with shfmt
Diffstat (limited to 'script/archiso_shutdown')
-rw-r--r--script/archiso_shutdown6
1 files changed, 3 insertions, 3 deletions
diff --git a/script/archiso_shutdown b/script/archiso_shutdown
index 23a8a79..dd3bb96 100644
--- a/script/archiso_shutdown
+++ b/script/archiso_shutdown
@@ -14,7 +14,7 @@ dmsetup remove_all
# Remove all loopback devices.
for _lup in $(grep ^/dev/loop /oldrun/archiso/used_block_devices | tac); do
- if ! losetup -d -- "${_lup}" 2> /dev/null; then
+ if ! losetup -d -- "${_lup}" 2>/dev/null; then
umount -d -- "${_lup}"
fi
done
@@ -34,8 +34,8 @@ fi
# reboot / poweroff / halt, depending on the argument passed by init
# if something invalid is passed, we halt
case "$1" in
- reboot|poweroff|halt) "$1" -f ;;
- *) halt -f;;
+reboot | poweroff | halt) "$1" -f ;;
+*) halt -f ;;
esac
# vim: set ft=sh: